@extends('layouts.master')

@section('navigation')
    @include('local.managers.admins._navigation')
@stop
@section('main')

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default panel-button">
                <div class="panel-heading">
                    Create new activity
                </div>
                <div class="panel-body">


                    {{ Form::open(array('action' => 'CoursesController@update')) }}

                    <div class="form-group">
                        {{ Form::label('activity_type', 'Activity Type') }}
                        <select id="activity_type" name="activity_type" class="form-control">
                            @foreach ($activity_types as $activity_type)
{{--                                @if(Input::old('activity_type')!=$activity_type)--}}
{{--                                    <option value="{{ $activity_type }}">{{ $activity_type }} ({{ $program->school->name }})</option>--}}
{{--                                @else--}}
{{--                                    <option selected value="{{ $program->id }}">{{ $program->name }} ({{ $program->school->name }})</option>--}}
{{--                                @endif--}}
                            @endforeach
                        </select>
{{--                        {{ Form::text('activity_type', Input::old('activity_Type'), array('class' => 'form-control', 'placeholder'=>'TEST', 'maxLength'=>5)) }}--}}
                    </div>
                    
                    <div class="form-group">
                        {{ Form::label('instrument', 'Instrument') }}
                        <select id="instrument" name="instrument" class="form-control">
                            @foreach ($instruments as $instrument)
                                {{--                                @if(Input::old('instrument')!=$instrument)--}}
                                {{--                                    <option value="{{ $instrument }}">{{ $instrument }} ({{ $program->school->name }})</option>--}}
                                {{--                                @else--}}
                                {{--                                    <option selected value="{{ $program->id }}">{{ $program->name }} ({{ $program->school->name }})</option>--}}
                                {{--                                @endif--}}
                            @endforeach
                        </select>
                        {{--                        {{ Form::text('instrument', Input::old('instrument'), array('class' => 'form-control', 'placeholder'=>'TEST', 'maxLength'=>5)) }}--}}
                    </div>
                    <div class="form-group">
                        {{ Form::label('outcome', 'Learning Outcome') }}
                        <select id="outcome" name="outcome" class="form-control">
                            @foreach ($outcomes as $outcome)
                                @if(Input::old('outcome')!=$outcome->id)
                                    <option value="{{ $outcome->id }}">{{ $outcome->name }})</option>
                                @else
                                    <option selected value="{{ $outcome->id }}">{{ $outcome->name }}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        {{ Form::label('objective', 'Learning Objective') }}
                        <select id="objective" name="objective[]" class="form-control" multiple>
                            @foreach ($objectives as $objective)
                                @if(Input::old('objective')!=$objective->id)
                                    <option value="{{ $objective->id }}">{{ $objective->name }}</option>
                                @else
                                    <option selected value="{{ $objective->id }}">{{ $objective->name }}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        {{ Form::label('transforming_action', 'Transforming Actions') }}
                        <select id="transforming_action" name="transforming_action[]" class="form-control" multiple>
                            @foreach ($transforming_actions as $transforming_action)
{{--                                @if(Input::old('transforming_action')!=$transforming_action->id)--}}
{{--                                    <option value="{{ $transforming_action->id }}">{{ $transforming_action->name }}</option>--}}
{{--                                @else--}}
{{--                                    <option selected value="{{ $transforming_action->id }}">{{ $transforming_action->name }}</option>--}}
{{--                                @endif--}}
                            @endforeach
                        </select>
                    </div>

                    <br>

                    {{ Form::submit('Submit', array('class' => 'btn btn-primary btn-block', 'name'=>'create_activity')) }}
                    {{ Form::close() }}

                    <br>

                    @if(Session::has('courses'))
                        <p><strong>The following courses were updated:</strong></p>
                        <ul>
                            @foreach(json_decode(Session::get('courses')) as $course)
                                <li>

                                    @if(Session::has('show_sections'))
                                        {{ $course->code }}{{ $course->number }}-{{ $course->section }}
                                    @else
                                        {{ $course->code }}{{ $course->number }}
                                    @endif
                                </li>
                            @endforeach
                        </ul>
                    @endif
                </div>
            </div>
        </div>


    </div>
@stop

@section('javascript')

    // --------------------------------------------------------------------------
    // Page load
    // --------------------------------------------------------------------------


    // --------------------------------------------------------------------------
    // Functions
    // --------------------------------------------------------------------------



    // --------------------------------------------------------------------------
    // Events
    // --------------------------------------------------------------------------

@stop
